ngrep (1.47+ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:22:23 +0800

ngrep (1.47+ds1-1) unstable; urgency=medium

  * New upstream release:
    + Drop all Debian patches, they have all been merged upstream.
    + Add new patch fixing a typo in configure.in which prevents configuring
      with the system PCRE.
    + Add new patch to check for `libnet_init' in configure.in.
    + Configure with new flag --enable-tcpkill.
    + Stop overriding dh_installchangelogs.
  * Update upstream homepage URL to the Github project page.
  * Rewrite debian/watch to get new upstream version from Github.
  * Switch to debhelper compatibility level 11.
  * Use new URLs on salsa.debian.org for Vcs-* fields.
  * Bump Standards-Version to 4.1.2.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 01 Jan 2018 17:47:56 +0100

ngrep (1.45.ds2-14) unstable; urgency=medium

  * Use dh-autoreconf.
  * Call dh_auto_configure in override target.
  * Use Alioth cgit URL in Vcs-Browser.
  * Bump Standards-Version to 3.9.8.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 17 Sep 2016 12:40:38 +0200

ngrep (1.45.ds2-13) unstable; urgency=low

  * Add debian/watch file (thanks, bartm).
  * Bump Standards-Version to 3.9.5.
  * Use canonical locations in Vcs-* fields.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 12 Apr 2014 17:03:58 +0200

ngrep (1.45.ds2-12) unstable; urgency=low

  * Fix handling of CPPFLAGS in upstream makefile to avoid losing
    _FORTIFY_SOURCE.
  * Bump Standards-Version to 3.9.3.

 -- Romain Francoise <rfrancoise@debian.org>  Sat, 03 Mar 2012 17:32:14 +0100

ngrep (1.45.ds2-11) unstable; urgency=low

  * Use Linux target code on hurd-i386 to fix FTBFS.
  * Fix (harmless) -Wformat warnings in tcpkill patch.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 19 Dec 2011 20:44:48 +0100

ngrep (1.45.ds2-10) unstable; urgency=low

  * Enable hardening via dpkg-buildflags.
  * Bump Standards-Version to 3.9.2.
  * Cherry-pick commit ca90da66ac from upstream Git to fix dumping of IPv6
    traffic (closes: #615138) (LP: #567286).

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 18 Dec 2011 14:45:36 +0100

ngrep (1.45.ds2-9) unstable; urgency=low

  * debian/control: Build-depend on hardening-includes.
  * debian/rules: Use hardening.make.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 04 Jan 2010 22:27:53 +0100

ngrep (1.45.ds2-8) unstable; urgency=low

  * Switch to 3.0 (quilt) source format:
    + Drop build-depends on quilt.
    + Remove patch/unpatch logic from debian/rules.
    + Remove README.source.
    + Refresh all patches.
  * Use dh(1):
    + debian/compat: Bump to 7.
    + debian/control: Build-depend on debhelper (>= 7.0.50~).
    + debian/rules: Simplify.
    + debian/ngrep.dirs: Removed.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 08 Nov 2009 18:41:33 +0100

ngrep (1.45.ds2-7) unstable; urgency=low

  * debian/rules: Change pcap includes location so that configure.in can
    find bpf.h in the correct pcap.h, thanks to Cristian Constantin
    (closes: #546596).

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 14 Sep 2009 20:29:03 +0200

ngrep (1.45.ds2-6) unstable; urgency=low

  * debian/patches/10_kfreebsd.diff: New patch, fixes FTBFS on kfreebsd.
    Thanks to Cyril Brulebois <kibi@debian.org> (closes: #545912).
  * debian/patches/series: Update.

 -- Romain Francoise <rfrancoise@debian.org>  Thu, 10 Sep 2009 21:28:54 +0200

ngrep (1.45.ds2-5) unstable; urgency=low

  * debian/rules: Pass --disable-pcap-restart to configure (closes: #545656).
  * debian/control:
    + Bump Standards-Version to 3.8.3.
    + Add missing dependency on ${misc:Depends}.
  * debian/README.source: New file.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 08 Sep 2009 19:53:26 +0200

ngrep (1.45.ds2-4) unstable; urgency=low

  * debian/patches/10_man-fixes.diff: New patch, fixes duplicate -W option
    in man page; thanks to Michael Prokop (closes: #521397).
  * debian/patches/series: Update.
  * debian/control: Bump Standards-Version to 3.8.1, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 06 Apr 2009 20:30:42 +0200

ngrep (1.45.ds2-3) unstable; urgency=low

  * debian/rules: Force pcap includes location, avoids overzealous
    configure check which thinks the new pcap 1.0 locations are two
    different installations (closes: #518889).
  * debian/control: Bump Standards-Version to 3.8.0, no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 09 Mar 2009 07:44:09 +0100

ngrep (1.45.ds2-2) unstable; urgency=low

  * debian/rules: Bump Standards-Version to 3.7.3; no changes needed.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 11 Apr 2008 19:26:31 +0200

ngrep (1.45.ds2-1) unstable; urgency=low

  * Repack tarball from Git.
  * debian/control: Add Homepage, Vcs-Browser and Vcs-Git fields.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 12 Oct 2007 20:11:58 +0200

ngrep (1.45.ds1-2) unstable; urgency=low

  * debian/patches/10_debian-build.diff: Don't strip the binary by default
    at link time, let dh_strip do it (closes: #437633).

  * debian/patches/30_tcpkill.diff: New patch adding the ability to kill
    matching TCP connections.  Based on a patch by Florian Weimer, ported
    to libnet 1.1 (closes: #240054).
  * debian/patches/series: Update.

  * debian/repack.sh: Include this script in the package, just in case.

 -- Romain Francoise <rfrancoise@debian.org>  Mon, 13 Aug 2007 22:35:24 +0200

ngrep (1.45.ds1-1) unstable; urgency=low

  * New upstream release (closes: #412181), the .tar.bz2 upstream tarball
    was repacked into a .tar.gz tarball, removing the pcre-5.0, regex-0.12
    and win32 directories in the process.

  * debian/patches/10_debian-build.diff: New patch redoing Debian changes
    to use the system's version of PCRE.
  * debian/patches/20_setlocale.diff: New patch, fold Debian change to set
    the locale for isprint() (see #307496).
  * debian/patches/50_autotools-dev.diff: New patch, make
    config.{guess,sub} use autotools-dev's fresher versions automatically.
  * debian/patches/series: New file.
  * debian/rules:
    + Don't copy config.{guess,sub} in clean target.
    + Don't ignore errors from 'make distclean'.
    + Include /usr/share/quilt/quilt.make and call its targets.
    + Various cleanups.
  * debian/control: Add build-depends on quilt.

 -- Romain Francoise <rfrancoise@debian.org>  Sun, 12 Aug 2007 21:20:11 +0200

ngrep (1.44-3) unstable; urgency=low

  * Backport patch from upstream CVS making the `clean_exit' signal
    handler safer (closes: #395248).

 -- Romain Francoise <rfrancoise@debian.org>  Sat,  4 Nov 2006 15:54:58 +0100

ngrep (1.44-2) unstable; urgency=low

  * debian/control:
    + Set myself as maintainer, not just uploader.
    + Bump Standards-Version to 3.7.2, no changed needed.
    + Build-Depend on debhelper (>> 5.0.0).
  * debian/compat: New file.
  * debian/rules: Don't set DH_COMPAT.

 -- Romain Francoise <rfrancoise@debian.org>  Wed, 27 Sep 2006 12:20:20 +0200

ngrep (1.44-1) unstable; urgency=low

  * New upstream release, with support for IPv6 (closes: #282362).
  * debian/rules: Add --enable-ipv6 to configure flags.

  * Apply patch from Max Kosmach <max@tcen.ru> adding a call to
    setlocale(), which makes isprint() decide what's printable depending
    on the current locale (closes: #307496).

  * debian/control: Bump Standards-Version to 3.6.2.1, no changed needed.

 -- Romain Francoise <rfrancoise@debian.org>  Tue,  5 Jul 2005 20:24:07 +0200

ngrep (1.43-3) unstable; urgency=medium

  * Further cleanup the build process to get rid of the shipped pcre
    library:
    + Patch ngrep.c to use <pcre.h> instead of the header in pcre-5.0.
    + Patch configure to skip the pcre configure stage.
    + Patch Makefile.in to not try to clean the pcre-5.0 directory.
  * debian/rules: Cleanups.
    + Remove obsolete deletion command from clean target (useless since
      1.43-1).
    + Remove dh-make comments, cut lines to fit in 80 columns, credit
      Nathan, Steve and myself.
  * debian/control: Cosmetic change.

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 25 Mar 2005 16:39:16 +0100

ngrep (1.43-2) unstable; urgency=low

  * Patch Makefile.in to not build (and link) the package's pcre since we
    want to use the system's version (it will still be configured but at
    least the binary will remain untouched).
  * debian/control: Remove obsolete local variables.

 -- Romain Francoise <rfrancoise@debian.org>  Tue, 22 Mar 2005 20:27:31 +0100

ngrep (1.43-1) unstable; urgency=medium

  * Hijacked package, new maintainer:
         http://lists.debian.org/debian-qa/2005/03/msg00059.html
  * Added Romain Francoise as a co-maintainer.
  * Build depend upon autotools-dev, so that we can copy in the most
    recent config.{sub guess} files.
    (Closes: #135337, #168649)
  * Rebuilt against libpcap, which closes the bug fixed in the
    old NMU (Now using libpcap0.8 instead of 0.7) (Closes: #156178)
  * Use the system's installed copy of PCRE instead of the bundled
    copy.  (Closes: #166783)
  * Removed the duplicate '-F' option from the manpage.
    (Closes: #293728)
  * New upstream version
    Some previously broken code is now removed from the upstream
    version so some older bugs no longer exist.
    They will be closed individually as part of a bug triage.

 -- Steve Kemp <skx@debian.org>  Mon, 14 Mar 2005 16:15:39 +0000

ngrep (1.42-1) unstable; urgency=low

  * New Upstream Version (closes: #243613)
  * Changed manpage to use minus signs (\-) instead of hyphens (-)
    (closes: #207279)
  * Updated libtool script (closes: #201948)

 -- Nathan Sandver <nsandver@debian.org>  Sat, 07 Aug 2004 12:54:33 -0700

ngrep (1.40.1-3) unstable; urgency=low

  * Maintainer upload to resolve some outstanding issues with the package.
    Thanks to Samuele, Robert, Torsten, and Randolph for working on the
    package when I was inactive.
  * Updated config.guess, config.sub (closes: Bug#168649)
  * Links dynamically against Debian's libpcre (closes: Bug#166783)

 -- Nathan E. Sandver <nsandver@debian.org>  Sat, 30 Nov 2002 01:23:43 -0800

ngrep (1.40.1-2.4) unstable; urgency=low

  * NMU
  * recompiled against libpcap0.7 (closes: Bug#156178)

 -- Samuele Giovanni Tonon <samu@debian.org>  Wed,  6 Nov 2002 23:31:47 +0100

ngrep (1.40.1-2.3) unstable; urgency=low

  * NMU
  * ngrep is not supposed to be a debian-native package - redownloaded
    pristine upstream source and fixed that
  * Applied patch to copy libpcap packet buffers to aligned positions to
    avoid segfaults on architectures where that matters (like Sparc)
    closes: #138847
  * Clean up stray pcre-3.4/dftables executable in clean target to allow
    for repeated package building

 -- Robert Woodcock <rcw@debian.org>  Sun, 27 Oct 2002 15:49:33 -0800

ngrep (1.40.1-2.2) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:22 +0200

ngrep (1.40.1-2.1) unstable; urgency=low

  * NMU
  * Update config.guess/sub. (closes: Bug#135337)

 -- Randolph Chung <tausq@debian.org>  Tue, 12 Mar 2002 22:55:28 -0800

ngrep (1.40.1-2) unstable; urgency=low

  * Bitten by outdated config.sub & config.guess in included pcre source
    again. Updated both files. (closes: Bug#133308)

 -- Nathan Sandver <nsandver@debian.org>  Mon, 18 Feb 2002 14:12:53 -0800

ngrep (1.40.1-1) unstable; urgency=low

  * New upstream version.

 -- Nathan Sandver <nsandver@debian.org>  Sat,  9 Feb 2002 18:42:30 -0800

ngrep (1.40-1) unstable; urgency=low

  * New upstream release
  * Updated config.sub & config.guess. (Closes #111406)

 -- Nathan Sandver <nsandver@debian.org>  Thu, 25 Oct 2001 21:54:41 -0700

ngrep (1.39.2-2) unstable; urgency=low

  * Added Build-depends: libpcap-dev

 -- Nathan Sandver <nsandver@debian.org>  Thu,  5 Jul 2001 17:01:55 -0700

ngrep (1.39.2-1) unstable; urgency=low

  * New upstream version
  * Using PCRE for regular expressions support

 -- Nathan Sandver <nsandver@debian.org>  Sat, 26 May 2001 13:12:54 -0700

ngrep (1.35-1) unstable; urgency=low

  * Initial Release.

 -- Nathan E. Sandver <nsandver@debian.org>  Thu, 28 Oct 1999 18:39:00 -0700
